
# ``Explain in Plain Language'' Autograder

[![Version](https://img.shields.io/pypi/v/eiplgrader.svg)](https://pypi.python.org/pypi/eiplgrader)
[![License](https://img.shields.io/pypi/l/eiplgrader.svg)](https://pypi.python.org/pypi/eiplgrader)
[![Supported Python versions](https://img.shields.io/pypi/pyversions/eiplgrader.svg)](https://pypi.python.org/pypi/eiplgrader)

An automatic grading tool suite for the "Explain in Plain Language" questions.

## Installation

```bash
pip install eiplgrader
```

## Cite
When using this tool, please cite the following paper:

```bibtex
@inproceedings{smith2024code,
    author = {Smith IV, David H. and Zilles, Craig},
    title = {Code Generation Based Grading: Evaluating an Auto-grading Mechanism for "Explain-in-Plain-English" Questions},
    year = {2024},
    isbn = {9798400706004},
    publisher = {Association for Computing Machinery},
    address = {New York, NY, USA},
    url = {https://doi.org/10.1145/3649217.3653582},
    doi = {10.1145/3649217.3653582},
    booktitle = {Proceedings of the 2024 on Innovation and Technology in Computer Science Education V. 1},
    pages = {171–177},
    numpages = {7},
    keywords = {auto-grading, eipe, gpt-4, large language models},
    location = {Milan, Italy},
    series = {ITiCSE 2024}
}
```

## Research
This autograder has been evaluated and used in the following research:

- [Code Generation Based Grading: Evaluating an Auto-grading Mechanism for "Explain-in-Plain-English" Questions](https://doi.org/10.1145/3649217.3653582)
- [Explaining Code with a Purpose: An Integrated Approach for Developing Code Comprehension and Prompting Skills](https://doi.org/10.1145/3649217.3653587)
- [Prompting for Comprehension: Exploring the Intersection of Explain in Plain English Questions and Prompt Writing]()
